unit MainRW_Pascal;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TFMainRW_Pascal = class(TForm)
    BnWrite: TButton;
    procedure BnWriteClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  FMainRW_Pascal: TFMainRW_Pascal;

implementation

{$R *.dfm}

uses basis;

procedure TFMainRW_Pascal.BnWriteClick(Sender: TObject);
var kanal:file;
    i:integer;
    f:single;
begin
  i:=1234;
  f:=-12345.6789;
  assignfile(kanal,'rw.bin');
  rewrite(kanal,1);
  blockwrite(kanal,i,sizeof(i));
  closefile(kanal);
end;

end.
